curl "https://ninja.new/v0/api/task/result?taskId=550e8400-e29b-41d4-a716-446655440000" \
-H "Authorization: Bearer nsk_your_api_key"
curl "https://ninja.new/v0/api/task/result?taskId=550e8400-e29b-41d4-a716-446655440000&wait=1" \
-H "Authorization: Bearer nsk_your_api_key"
{
"taskId": "550e8400-e29b-41d4-a716-446655440000",
"status": "completed",
"result": "Shopify's top 3 competitors are BigCommerce, WooCommerce, and Wix.",
"error": null
}
{
"taskId": "550e8400-e29b-41d4-a716-446655440000",
"status": "completed",
"result": {
"competitors": [
{ "name": "BigCommerce", "estimatedAnnualRevenue": "$300M" },
{ "name": "WooCommerce", "estimatedAnnualRevenue": "$500M" },
{ "name": "Wix", "estimatedAnnualRevenue": "$1.6B" }
]
},
"error": null
}
{
"taskId": "550e8400-e29b-41d4-a716-446655440000",
"status": "pending",
"result": null,
"error": null
}
Ninja API
Get task result
Retrieve the current status and result of a Ninja task, with long-polling support while the task is still in progress.
GET
/
v0
/
api
/
task
/
result
curl "https://ninja.new/v0/api/task/result?taskId=550e8400-e29b-41d4-a716-446655440000" \
-H "Authorization: Bearer nsk_your_api_key"
curl "https://ninja.new/v0/api/task/result?taskId=550e8400-e29b-41d4-a716-446655440000&wait=1" \
-H "Authorization: Bearer nsk_your_api_key"
{
"taskId": "550e8400-e29b-41d4-a716-446655440000",
"status": "completed",
"result": "Shopify's top 3 competitors are BigCommerce, WooCommerce, and Wix.",
"error": null
}
{
"taskId": "550e8400-e29b-41d4-a716-446655440000",
"status": "completed",
"result": {
"competitors": [
{ "name": "BigCommerce", "estimatedAnnualRevenue": "$300M" },
{ "name": "WooCommerce", "estimatedAnnualRevenue": "$500M" },
{ "name": "Wix", "estimatedAnnualRevenue": "$1.6B" }
]
},
"error": null
}
{
"taskId": "550e8400-e29b-41d4-a716-446655440000",
"status": "pending",
"result": null,
"error": null
}
Retrieves the current status and result of a task. Supports long-polling when the task is
in_progress.
Request parameters
string
required
UUID of the task returned from the create endpoint.
string
default:"0"
Set to
1 to enable long-polling. When the task is in_progress, the request blocks until the task completes or the request times out. For tasks in any other status (pending, completed,
failed, etc), this parameter has no effect and the request returns immediately.| Value | Description |
|---|---|
0 | Return immediately with the current status. (default) |
1 | Long-poll until the task completes (only when in_progress). |
Response fields
string
required
UUID of the task.
string
required
Current task status. One of:
pending, in_progress, completed, failed, cancelled, paused, stopped, impossible, out_of_credits. See task statuses.object | string | null
required
The task result. Present when
status is completed. If a resultSchema was provided at creation, this is a JSON object conforming to that schema; otherwise it is a plain text string. null for
all other statuses.string | null
required
Error message when
status is failed. null for all other statuses.curl "https://ninja.new/v0/api/task/result?taskId=550e8400-e29b-41d4-a716-446655440000" \
-H "Authorization: Bearer nsk_your_api_key"
curl "https://ninja.new/v0/api/task/result?taskId=550e8400-e29b-41d4-a716-446655440000&wait=1" \
-H "Authorization: Bearer nsk_your_api_key"
{
"taskId": "550e8400-e29b-41d4-a716-446655440000",
"status": "completed",
"result": "Shopify's top 3 competitors are BigCommerce, WooCommerce, and Wix.",
"error": null
}
{
"taskId": "550e8400-e29b-41d4-a716-446655440000",
"status": "completed",
"result": {
"competitors": [
{ "name": "BigCommerce", "estimatedAnnualRevenue": "$300M" },
{ "name": "WooCommerce", "estimatedAnnualRevenue": "$500M" },
{ "name": "Wix", "estimatedAnnualRevenue": "$1.6B" }
]
},
"error": null
}
{
"taskId": "550e8400-e29b-41d4-a716-446655440000",
"status": "pending",
"result": null,
"error": null
}
Was this page helpful?